View Issue Details

IDProjectCategoryView StatusLast Update
0003867unrealircdpublic2009-11-22 14:40
Reportermut80rAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSGentooOS VersionLatest
Product Version3.2.8 
Target VersionFixed in Version3.2.9-RC1 
Summary0003867: LocOps don't have oper hosts set properly with get_host flag
Descriptionset::hosts::local "Staff@Mordor"
set::hosts::global "Staff@Mordor"

Global Operator:
05:48:59 -!- mut80r [Staff@Mordor] has joined #services

Global Operator:
Client connecting on port 6667: Shiyiya (~shiyiya@redacted) [clients]
05:49:14 -!- Shiyiya [Staff@Mordor] has joined #services

Local Operator:
Client connecting on port 6697: BigEndian (~longlive@redacted) [clients]
05:49:10 -!- BigEndian [~longlive@Staff@Mordor] has joined #services
Steps To Reproduce1) Configure set::hosts::local with an @ sign, do the same for ::global
2) Get a global op to oper up
3) See their user/ident was overwritten too, expected? behaviour
4) Get a local op to oper up
5) User/ident not overwritten, set::hosts::local APPENDED instead.
Additional InformationI would like you to either

1) Remove the overwriting from global ops, to make everything consistent, and remove the ability to use "@" in the string.

or

2) Fix the non-existant overwriting for local ops, to make everything consistent.

Thanks in advance.
TagsNo tags attached.
3rd party modulesNone.

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

syzop

2009-11-22 14:39

administrator   ~0015960

Fixed in CVS (.773), thanks for the report.

- Fixed bug reported by mut80r (0003867) where locops didn't get a
  proper vhost when set::hosts::local had a 'user@host' syntax instead of
  just 'host'. Also fixed a bug with regards to +x on-oper with locops.

Issue History

Date Modified Username Field Change
2009-09-23 15:51 mut80r New Issue
2009-09-23 15:51 mut80r 3rd party modules => None.
2009-09-26 12:16 syzop Relationship added child of 0003776
2009-11-22 14:39 syzop QA => Not touched yet by developer
2009-11-22 14:39 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-11-22 14:39 syzop Note Added: 0015960
2009-11-22 14:39 syzop Status new => resolved
2009-11-22 14:39 syzop Fixed in Version => 3.2.9-RC1
2009-11-22 14:39 syzop Resolution open => fixed
2009-11-22 14:39 syzop Assigned To => syzop